## ----echo=FALSE,results='hide'------------------------------------------------
doAll = FALSE

## ----eval=doAll---------------------------------------------------------------
#  library(Rsamtools)
#  library(GenomicFeatures)
#  sampleTable = read.table("bamfiles.txt")
#  dirActualData =  paste(getwd(),"/",sep="")
#  fls = paste(dirActualData,sampleTable[,1],sep="")
#  bamLst = BamFileList(fls, index=character(),yieldSize=100000,obeyQname=TRUE)
#  gtfFile = "../Saccharomyces_cerevisiae/Ensembl/R64-1-1/Annotation/Genes/genes.gtf"
#  txdb = makeTxDbFromGFF(gtfFile, format="gtf")
#  genes = exonsBy(txdb, by="gene")
#  library(GenomicAlignments)
#  PRJNA297664 = summarizeOverlaps(features = genes, read=bamLst,
#      mode="Union",
#      singleEnd=TRUE, ## No son lecturas apareadas
#      ignore.strand=TRUE,
#      fragments=FALSE)
#  SampleName = c("GSM1900735","GSM1900737","GSM1900739","GSM1900736",
#      "GSM1900738","GSM1900740")
#  Run = c("SRR2549634","SRR2549636","SRR2549638","SRR2549635",
#      "SRR2549637","SRR2549639")
#  treatment = c(0,0,1,0,1,1)
#  treatment = factor(treatment,levels=0:1,labels=c("Wild","SEC66 deletion"))
#  replication = c(1,3,2,2,1,3)
#  colData(PRJNA297664) = DataFrame(SampleName,Run,treatment,replication)

## ----eval=doAll---------------------------------------------------------------
#  a = AnnotationDbi::select(org.Sc.sgd.db,keys=rownames(PRJNA297664),
#                            columns=c("ORF","ENTREZID","ENSEMBL"),keytype="ORF")
#  b = match(rownames(PRJNA297664),a[,"ORF"])
#  rowData(PRJNA297664) = a[b,]
#  PRJNA297664 = PRJNA297664[which(!is.na(rowData(PRJNA297664)[,"ORF"])),]
#  sel = match(unique(rowData(PRJNA297664)[,"ORF"]),rowData(PRJNA297664)[,"ORF"])
#  PRJNA297664 = PRJNA297664[sel,]

## ----eval=doAll---------------------------------------------------------------
#  save(PRJNA297664,file="PRJNA297664.rda")

